Debian Bug report logs - #519230
telldir(3) and seekdir(3) describes they uses off_t.

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Tanaka Akira <akr@fsij.org>

Date: Wed, 11 Mar 2009 07:15:02 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages/2.39-1

Fixed in version manpages/3.20-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#519230; Package manpages-dev. (Wed, 11 Mar 2009 07:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanaka Akira <akr@fsij.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. (Wed, 11 Mar 2009 07:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tanaka Akira <akr@fsij.org>
To: submit@bugs.debian.org
Subject: telldir(3) and seekdir(3) describes they uses off_t.
Date: Wed, 11 Mar 2009 16:12:25 +0900
Package: manpages-dev
Version: 2.39-1

telldir(3)'s SYNOPSIS section describes telldir returns
off_t as follows.

  off_t telldir(DIR *dir);

But Single Unix Specification version 3 describes it returns
long.

  SUSv3:
  long telldir(DIR *dirp);

Also the header file declare it returns long.

  % grep telldir /usr/include/dirent.h 
  extern long int telldir (DIR *__dirp) __THROW __nonnull ((1));

seekdir(3) has same issue.  SYNOPSIS uses off_t.

  void seekdir(DIR *dir, off_t offset);

But SUSv3 and the header file uses long.

  SUSv3:
  void seekdir(DIR *dirp, long loc);

  % grep seekdir /usr/include/dirent.h
  extern void seekdir (DIR *__dirp, long int __pos) __THROW __nonnull ((1));

So I think off_t in telldir(3) and seekdir(3) is a bug and
should be replaced by long.
-- 
Tanaka Akira




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#519230; Package manpages-dev. (Wed, 11 Mar 2009 08:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Wed, 11 Mar 2009 08:57:04 GMT) Full text and rfc822 format available.

Message #10 received at 519230@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@googlemail.com>
To: Tanaka Akira <akr@fsij.org>, 519230@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#519230: telldir(3) and seekdir(3) describes they uses off_t.
Date: Wed, 11 Mar 2009 21:53:47 +1300
tags 519230 fixed-upstream
thanks

Hi,

On Wed, Mar 11, 2009 at 8:12 PM, Tanaka Akira <akr@fsij.org> wrote:
> Package: manpages-dev
> Version: 2.39-1
>
> telldir(3)'s SYNOPSIS section describes telldir returns
> off_t as follows.
>
>  off_t telldir(DIR *dir);
>
> But Single Unix Specification version 3 describes it returns
> long.

Yes.

>  SUSv3:
>  long telldir(DIR *dirp);
>
> Also the header file declare it returns long.

Yes.

>  % grep telldir /usr/include/dirent.h
>  extern long int telldir (DIR *__dirp) __THROW __nonnull ((1));
>
> seekdir(3) has same issue.  SYNOPSIS uses off_t.
>
>  void seekdir(DIR *dir, off_t offset);
>
> But SUSv3 and the header file uses long.
>
>  SUSv3:
>  void seekdir(DIR *dirp, long loc);
>
>  % grep seekdir /usr/include/dirent.h
>  extern void seekdir (DIR *__dirp, long int __pos) __THROW __nonnull ((1));

Yes.

> So I think off_t in telldir(3) and seekdir(3) is a bug and
> should be replaced by long.

True.  But there is a bit more to the story.  In glibc 2.1.1 and
earlier (which would have been current when the man page was written),
the type really was 'off_t' in both cases.  With glibc 2.1.2 and
later, we have the current 'long'.

So, I changed the types in both SYNOPSIS sections, and added a NOTES
section to each page describing the old type definitions.

The changes will be in upstream 3.20.

Thanks for the report!

Cheers,

Michael




Tags added: fixed-upstream Request was from Michael Kerrisk <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Wed, 11 Mar 2009 08:57:05 GMT) Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. (Sun, 26 Apr 2009 10:12:13 GMT) Full text and rfc822 format available.

Notification sent to Tanaka Akira <akr@fsij.org>:
Bug acknowledged by developer. (Sun, 26 Apr 2009 10:12:13 GMT) Full text and rfc822 format available.

Message #17 received at 519230-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 519230-close@bugs.debian.org
Subject: Bug#519230: fixed in manpages 3.20-1
Date: Sun, 26 Apr 2009 10:02:41 +0000
Source: manpages
Source-Version: 3.20-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.20-1_all.deb
  to pool/main/m/manpages/manpages-dev_3.20-1_all.deb
manpages_3.20-1.diff.gz
  to pool/main/m/manpages/manpages_3.20-1.diff.gz
manpages_3.20-1.dsc
  to pool/main/m/manpages/manpages_3.20-1.dsc
manpages_3.20-1_all.deb
  to pool/main/m/manpages/manpages_3.20-1_all.deb
manpages_3.20.orig.tar.gz
  to pool/main/m/manpages/manpages_3.20.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 519230@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 26 Apr 2009 11:36:34 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.20-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 516677 517074 517485 519209 519230 520904
Changes: 
 manpages (3.20-1) unstable; urgency=low
 .
   * New upstream version
     . Add explicit character set encoding to first line of several
       manpages (closes: Bug#519209)
     . Fix type of 'offset' argument in seekdir(3) and return type in
       telldir (closes: Bug#519230)
     . Small fix to description in strftime(3) (closes: Bug#516677)
     . Fix 'argp' type for KDGETLED description in console_ioctl(4)
       (closes: Bug#517485)
     . Add description of /srv in hier(7) (closes: Bug#520904)
     . Fix types used to declare sin6_family and sin6_port in ipv6(7)
       (closes: Bug#517074)
   * Corrected fclose(3)
Checksums-Sha1: 
 03fa98f500d63bad215d1aa54ea840b1629157cf 964 manpages_3.20-1.dsc
 e85794d5f613f8d70ac83a92a626eb5ca91465af 1590787 manpages_3.20.orig.tar.gz
 4351e33a2116f749181a2386bace0dbe9d8cff00 48327 manpages_3.20-1.diff.gz
 a32965aaa7633303c2e96328ffaac652d6705cfa 713822 manpages_3.20-1_all.deb
 4b5211c2297342a64a420bd24e9883c40490919a 1555264 manpages-dev_3.20-1_all.deb
Checksums-Sha256: 
 74704b80b6472549572e3903f850ebd6b73f2576e5cb9daf9d4cb81f6cffea26 964 manpages_3.20-1.dsc
 4351a0537c7d05f23e1c17f99b62e4b75d1d81a9c99347821bca0bbb5794ed09 1590787 manpages_3.20.orig.tar.gz
 010a879e44692acea4d7ef103ad0e340863799d2511d14a8f86e7a518f68e9c4 48327 manpages_3.20-1.diff.gz
 75a576115a5ccd8f8624171507ab736d831161b0b850ab7fd9435d62c8d91c43 713822 manpages_3.20-1_all.deb
 f84b168719f293efaccfc379bd0f07313efe23b7b9f732ef01fab409386b8a65 1555264 manpages-dev_3.20-1_all.deb
Files: 
 676509b49bc7740897adb400d2c8c802 964 doc important manpages_3.20-1.dsc
 2df4c07be521ef7c2579eeaae677ad8c 1590787 doc important manpages_3.20.orig.tar.gz
 e7791092c3a2b721b36f75ca21a4d23a 48327 doc important manpages_3.20-1.diff.gz
 18d26a0f0bd2b5c8eed4aeeba3421abd 713822 doc important manpages_3.20-1_all.deb
 696caf409bc48e9193d395f08ae4696f 1555264 doc optional manpages-dev_3.20-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJ9CvOW5ql+IAeqTIRArxjAKCFOzN3tWq2Ajij6sjBryP+Ne4i9ACfQ6dy
4zmFH3XqZqqRy2gbVfu6E+w=
=/jco
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 May 2009 07:33:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:41:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.